<?php

/**
 * Page de traitement permettant l'activation et la désactivation d'un ou plusieurs domaines.
 */

session_start();
require_once ($_SERVER["DOCUMENT_ROOT"]."/services/fonctions/sessions/privileges.php");
if (testPrivileges()!="administrateur") {
	header("Location: /pages/visiteurs/formulaire_accueil.php?erreur=18");
	die();
}
require_once ($_SERVER["DOCUMENT_ROOT"]."/services/fonctions/bdd/listes_noires.php");

if (isset($_POST) && !empty($_POST)) {
	modifEntreeListeNoireExpPostfix($pdo,$_POST);
	header ("Location: /pages/gestion/administration.php?page=listes_noires&sousPage=expediteurs&succes=13");
	die();
}
else {
	header ("Location: /pages/gestion/administration.php?listes_noires&sousPage=expediteurs");
	die();
}

?>